=== debian/changelog ===
votca-tools (1.2.3-1) unstable; urgency=low

  [ Christoph Junghans ]
  * Initial release (Closes: #621874)

 -- Michael Banck <mbanck@debian.org>  Wed, 29 Jan 2014 20:20:27 +0100
