=== debian/control ===
Source: votca-tools
Section: libs
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Christoph Junghans <junghans@votca.org>, Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>= 9.0.0), cmake, libfftw3-dev, libgsl0-dev, txt2tags, libboost-program-options-dev, libexpat1-dev, libsqlite3-dev, pkg-config
Standards-Version: 3.9.5
Homepage: http://www.votca.org

Package: libvotca-tools-dev
Section: libdevel
Architecture: any
Depends: libvotca-tools2 (= ${binary:Version}), ${misc:Depends}
Description: VOTCA's tools library, development kit
 VOTCA is a software package which focuses on the analysis of molecular
 dynamics data, the development of systematic coarse-graining techniques as
 well as methods used for simulating microscopic charge transport in
 disordered semiconductors.
 .
 VOTCA's tools library provides functions shared between all VOTCA packages.
 .
 This package contains header files and pkg-config files.

Package: libvotca-tools2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: VOTCA's tools library
 VOTCA is a software package which focuses on the analysis of molecular
 dynamics data, the development of systematic coarse-graining techniques as
 well as methods used for simulating microscopic charge transport in
 disordered semiconductors.
 .
 VOTCA's tools library provides functions shared between all VOTCA packages.
