=== debian/changelog ===
votca-tools (1.2.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Bas Couwenberg ]
  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev.
    Closes: #807229

  [ Mattia Rizzolo ]
  * move debian/upstream to debian/upstream/metadata

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 26 Jan 2016 10:38:47 +0000

votca-tools (1.2.4-1) unstable; urgency=low

  * Version bump 
  * Add Vcs-Browser and Vcs-Svn fields to debian/control

 -- Christoph Junghans <junghans@votca.org>  Wed, 03 Sep 2014 15:39:12 -0600
