=== debian/control ===
--- 
+++ 
@@ -3,9 +3,11 @@
 Priority: optional
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Christoph Junghans <junghans@votca.org>, Michael Banck <mbanck@debian.org>
-Build-Depends: debhelper (>= 9.0.0), cmake, libfftw3-dev, libgsl0-dev, txt2tags, libboost-program-options-dev, libexpat1-dev, libsqlite3-dev, pkg-config
+Build-Depends: debhelper (>= 9.0.0), cmake, libfftw3-dev, libgsl-dev, txt2tags, libboost-program-options-dev, libexpat1-dev, libsqlite3-dev, pkg-config
 Standards-Version: 3.9.5
 Homepage: http://www.votca.org
+Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/votca-tools/
+Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/votca-tools/
 
 Package: libvotca-tools-dev
 Section: libdevel
