=== debian/watch ===
version=3
http://downloads.votca.googlecode.com/hg/votca-tools-([.0-9]+)_pristine\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
