=== debian/changelog ===
votca-tools (1.3.0-2build2) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:53:32 +0000

votca-tools (1.3.0-2build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:33:43 +0000

votca-tools (1.3.0-2) unstable; urgency=medium

  * debian/control (libvotca-tools3): Added Breaks and Replaces on
    libvotca-tools2 (Closes: #816561).

 -- Michael Banck <mbanck@debian.org>  Thu, 03 Mar 2016 01:04:19 +0100

votca-tools (1.3.0-1) unstable; urgency=medium

  * New upstream release.

  [ Daniel Leidert ]
  * Fixed some lintian reported issues.
  * debian/copyright: Replaced references to code.google.com.
  * debian/watch: Updated after project moved to github.
  * debian/upstream: Renamed to debian/upstream/metadata. Replaced references
    to code.google.com accordingly.

  [ Michael Banck ]
  * debian/control (libvotca-tools2): Renamed to ...
  * debian/control (libvotca-tools3): ... this (Closes: #797293).
  * debian/libvotca-tools2.install: Renamed to ...
  * debian/libvotca-tools3.install: ... this.
  * Acknowledge NMU.
  * debian/control (Build-Depends): Added libboost-filesystem-dev and
    libboost-system-dev.
	
 -- Michael Banck <mbanck@debian.org>  Wed, 24 Feb 2016 22:42:00 +0100
