=== debian/control ===
Source: votca-tools
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Christoph Junghans <junghans@votca.org>,
           Michael Banck <mbanck@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               libboost-filesystem-dev,
               libboost-program-options-dev,
               libboost-system-dev,
               libexpat1-dev,
               libfftw3-dev,
               libgsl-dev,
               libsqlite3-dev,
               pkg-config,
               txt2tags
Standards-Version: 3.9.5
Homepage: http://www.votca.org
Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/votca-tools/
Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/votca-tools/

Package: libvotca-tools-dev
Section: libdevel
Architecture: any
Depends: libvotca-tools3 (= ${binary:Version}), ${misc:Depends}
Description: VOTCA's tools library, development kit
 VOTCA is a software package which focuses on the analysis of molecular
 dynamics data, the development of systematic coarse-graining techniques as
 well as methods used for simulating microscopic charge transport in
 disordered semiconductors.
 .
 VOTCA's tools library provides functions shared between all VOTCA packages.
 .
 This package contains header files and pkg-config files.

Package: libvotca-tools3
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libvotca-tools2 (<< 1.3)
Replaces: libvotca-tools2 (<< 1.3)
Description: VOTCA's tools library
 VOTCA is a software package which focuses on the analysis of molecular
 dynamics data, the development of systematic coarse-graining techniques as
 well as methods used for simulating microscopic charge transport in
 disordered semiconductors.
 .
 VOTCA's tools library provides functions shared between all VOTCA packages.
