## votca-tools 1.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
-cmake_minimum_required(VERSION 2.6)
+cmake_minimum_required(VERSION 2.8.3)
 
 project(votca-tools)
 
-set(PROJECT_VERSION "1.3")
+set(PROJECT_VERSION "1.4.1")
 string(REGEX REPLACE "^[1-9]+\\.([1-9]+).*$" "\\1" SOVERSION "${PROJECT_VERSION}")
 if (NOT ${SOVERSION} MATCHES "[1-9]+")
   message(FATAL_ERROR "Could not determind SOVERSION from ${PROJECT_VERSION}")
@@ -42,6 +42,8 @@
 
 #this has to be the first include directive
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
+#for votca_config.h
+include_directories(${CMAKE_CURRENT_BINARY_DIR}/include)
 
 ########################################################################
 #Find external packages
@@ -65,6 +67,57 @@
 option(BUILD_MANPAGES "Build manpages (might lead to problem on system without rpath" ON)
 #define this target here, so that individual man pages can append to it.
 add_custom_target(manpages ALL)
+
+########################################################################
+# Checks what linear algebra packages are installed                    #
+########################################################################
+
+find_package(GSL)
+find_package(MKL)
+
+if (MKL_FOUND)
+  message("-- MKL found, overloading uBLAS prod()")
+  set(MKL TRUE) #used in votca_config.h
+elseif(GSL_FOUND)
+  message("-- GSL found, overloading uBLAS prod()")
+  include_directories(${GSL_INCLUDE_DIRS})
+  set(GSL_PKG "gsl")
+  set(GSL TRUE) #used in votca_config.h
+endif()
+
+if(MKL_FOUND)
+  set(MKL_URL "http://software.intel.com/sites/default/files/managed/76/8c/intel-mkl-and-boost-example.zip")
+  set(MKL_MD5 b957ee63a2167ad21b650b47726cd55c )
+  set(MKL_FILE "intel-mkl-and-boost-example.zip")
+  
+  include(ExternalProject)
+  ExternalProject_add(intel
+          PREFIX intel
+          URL "${MKL_URL}" URL_MD5 "${MKL_MD5}"
+          CONFIGURE_COMMAND ""
+          BUILD_COMMAND ""
+          INSTALL_COMMAND ""
+          )
+  set(MKL_BOOST_INCLUDE_DIR "${CMAKE_CURRENT_BINARY_DIR}/intel/src/intel/MKL_and_boost_example/headers")
+  set_property(DIRECTORY APPEND PROPERTY ADDITIONAL_MAKE_CLEAN_FILES "${CMAKE_CURRENT_BINARY_DIR}/intel/src/intel")
+  include_directories(${MKL_BOOST_INCLUDE_DIR})
+  set(MKL_HEADERS "${MKL_BOOST_INCLUDE_DIR}/mkl_boost_ublas_matrix_prod.hpp" "${MKL_BOOST_INCLUDE_DIR}/mkl_boost_ublas_gemm.hpp"  )
+  install(FILES ${MKL_HEADERS} DESTINATION include/votca/tools)
+endif(MKL_FOUND)
+
+option(WITH_FFTW "Use FFTW3, disabling leads to reduced functionality!" ON)
+if (WITH_FFTW)
+  find_package(FFTW3)
+  if(NOT FFTW3_FOUND)
+    message(FATAL_ERROR "FFTW3 not found,  make sure you have also installed the fftw3 and it's dev package (it can be disable with -DWITH_FFTW=OFF)")
+  endif(NOT FFTW3_FOUND)
+  include_directories(${FFTW3_INCLUDE_DIRS})
+  set(FFTW3_PKG "fftw3")
+else(WITH_FFTW)
+  #used in votca_config.h
+  set(NOFFTW TRUE)
+  set(FFTW3_PKG)
+endif(WITH_FFTW)
 
 ########################################################################
 # Basic system tests (standard libraries, headers, functions, types)   #
@@ -106,3 +159,6 @@
 
 configure_file(${CMAKE_MODULE_PATH}/cmake_uninstall.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake IMMEDIATE @ONLY)
 add_custom_target(uninstall COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
+
+include(FeatureSummary)
+feature_summary(INCLUDE_QUIET_PACKAGES WHAT ALL)
