=== debian/changelog ===
votca-tools (1.4.1-2) unstable; urgency=medium

  * Add Breaks/Replaces on libvotca-tools3 due to filename conflicts.

 -- Nicholas Breen <nbreen@debian.org>  Thu, 11 Jan 2018 16:18:20 -0800

votca-tools (1.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Rename libvotca-tools3 to libvotca-tools4.
  * Bump Standards-Version to 4.1.3, no changes required.

 -- Nicholas Breen <nbreen@debian.org>  Thu, 11 Jan 2018 14:23:15 -0800
