=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: votca-tools
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
+Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Christoph Junghans <junghans@votca.org>,
            Michael Banck <mbanck@debian.org>
 Build-Depends: cmake,
@@ -16,7 +15,7 @@
                libsqlite3-dev,
                pkg-config,
                txt2tags
-Standards-Version: 3.9.5
+Standards-Version: 4.1.3
 Homepage: http://www.votca.org
 Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/votca-tools/
 Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/votca-tools/
@@ -24,7 +23,7 @@
 Package: libvotca-tools-dev
 Section: libdevel
 Architecture: any
-Depends: libvotca-tools3 (= ${binary:Version}), ${misc:Depends}
+Depends: libvotca-tools4 (= ${binary:Version}), ${misc:Depends}
 Description: VOTCA's tools library, development kit
  VOTCA is a software package which focuses on the analysis of molecular
  dynamics data, the development of systematic coarse-graining techniques as
@@ -35,11 +34,11 @@
  .
  This package contains header files and pkg-config files.
 
-Package: libvotca-tools3
+Package: libvotca-tools4
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libvotca-tools2 (<< 1.3)
-Replaces: libvotca-tools2 (<< 1.3)
+Breaks: libvotca-tools2 (<< 1.3), libvotca-tools3
+Replaces: libvotca-tools2 (<< 1.3), libvotca-tools3
 Description: VOTCA's tools library
  VOTCA is a software package which focuses on the analysis of molecular
  dynamics data, the development of systematic coarse-graining techniques as
